#include<fstream>
using namespace std;
ifstream fi("TAOXAU.inp");
ofstream fo("TAOXAU.out");
int n;
char a[200];
void xuat(int n)
{
	for(int i=1;i<=n;i++)
	{
		fo<<a[i];
	}
	fo<<endl;
}
void kt(int n)
{
	int kt=0;
	for(int i=2;i<=n;i++)
	{
		if((a[i]==a[i-1])&&(a[i]=='B'))
		{
			kt=1;
			break;
		}
	}
	if(kt==0)
	{
		xuat(n);
	}
}
void xl(int i)
{
	int j;
	for(j=65;j<=66;j++)
	{
		a[i]=char(j);
		if(i==n)
		{
			kt(n);
		}
		else
		{
			xl(i+1);
		}
	}
}
int main()
{
	fi>>n;
	xl(1);
	fi.close();
	fo.close();
}
